Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.core
Class CoreRequestManager

    java.lang.Object
      oracle.ifs.fdk.impl.RequestManagerImpl
          oracle.ifs.fdk.core.CoreRequestManager

All Implemented Interfaces:
  java.rmi.Remote, RequestManager

    public class CoreRequestManager

extends RequestManagerImpl

Implementation of the RequestManager interface.

See Also:
  `RequestManager`

Constructor Summary
`CoreRequestManager()` Constructor required for in-process clients.
`CoreRequestManager(FdkSession session)` Constructor required for web services.

Method Summary
`void` | `acknowledgeRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Acknowledges the request for the given user.
`void` | `approveRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Approves the request for the given user.
`void` | `cancelRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Cancels the request for the given user.
`void` | `createUserRequest(long[] targets, NamedValue[] workflowParams)` Creates a UserRequest for each set of targets that are controlled by a specific UserRequestWorkflowConfiguration.
`void` | `deleteRequests(long[] ids)` Deletes the Reqeusts having the given IDs.
`void` | `denyRequestForUser(long requestId, NamedValue[] def, AttributeRequest[] attributes)` Denies the request for the given user.
`protected FdkSessionImpl` | `getConnectedSession()` Return the web service session.
`boolean` | `isOperationRequestEnabled(long id, java.lang.String ecmAction)` Returns whether the specified operation(ecm action) is workflow enabled i.e request based.
`protected boolean` | `isWebServiceCall()` Returns `true` if the current call was made from a web services client.
`Item[]` | `listRequests(long id, NamedValue[] options, AttributeRequest[] attributes)` Returns the list of all reqeusts sent out by given user(id).
`Item[]` | `listRequestsForUser(long id, NamedValue[] options, AttributeRequest[] attributes)` Returns the list of all reqeusts that the given user is responder to.
`protected NamedValue[]` | `login(FdkCredential c, NamedValue[] options, AttributeRequest[] userAttributes)` Internal login method used by web services login managers.
`void` | `referenceTypes(TypeReference ref)` Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.
`Item[]` | `searchResponders(java.lang.String name, AttributeRequest[] attrs)` Simple search for Users with given (exact)name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CoreRequestManager

    public CoreRequestManager(FdkSession session)

  Constructor required for web services.

### CoreRequestManager

    public CoreRequestManager()

  Constructor required for in-process clients.

Method Detail

### listRequests

    public Item[] listRequests(long id,
                               NamedValue[] options,
                               AttributeRequest[] attributes)
                        throws FdkException

  Description copied from interface: `RequestManager`
  Returns the list of all reqeusts sent out by given user(id).

  Parameters:
    `id` - The ID of the user
    `options` - attributes on the request search
    - notation: {Attribute name, Attribute type}
    - {Attributes.REQUEST_STATUS, Integer}
    - {Attributes.REQUEST_CREATED, Date}
    - {Attributes.REQUEST_RESPONSE, Boolean}
    - {Attributes.REQUEST_TRIGGERED, Boolean}
    - {Attributes.REQUEST_TYPE, String}
    - {Options.REQUEST_CREATED_COMPARISON_OPERATOR, Integer}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    `attributes` - The requested attributes.
  Returns:
    Item[] The array of Items, each request.
  Throws:
    `FdkException` - if the operation fails.

### deleteRequests

    public void deleteRequests(long[] ids)
                        throws FdkException

  Description copied from interface: `RequestManager`
  Deletes the Reqeusts having the given IDs.

  Parameters:
    `ids` - the IDs of the Requests to delete.
  Throws:
    `FdkException` - if the operation fails.

### listRequestsForUser

    public Item[] listRequestsForUser(long id,
                                      NamedValue[] options,
                                      AttributeRequest[] attributes)
                               throws FdkException

  Description copied from interface: `RequestManager`
  Returns the list of all reqeusts that the given user is responder to.

  Parameters:
    `id` - The ID of the user
    `options` - attributes on the request search
    - notation: {Attribute name, Attribute type}
    - {Attributes.REQUEST_STATUS, Integer}
    - {Attributes.REQUEST_CREATED, Date}
    - {Attributes.REQUEST_RESPONSE, Boolean}
    - {Attributes.REQUEST_TRIGGERED, Boolean}
    - {Attributes.REQUEST_TYPE, String}
    - {Options.REQUEST_CREATED_COMPARISON_OPERATOR, Integer}
    - {Options.PRIMARY_SORT_ATTRIBUTE, String}
    - {Options.PRIMARY_SORT_DIRECTION, Boolean}
    - {Options.SECONDARY_SORT_ATTRIBUTE, String}
    - {Options.SECONDARY_SORT_DIRECTION, Boolean}
    `attributes` - The requested attributes.
  Returns:
    Item[] The array of Items, each request.
  Throws:
    `FdkException` - if the operation fails.

### approveRequestForUser

    public void approveRequestForUser(long requestId,
                                      NamedValue[] def,
                                      AttributeRequest[] attributes)
                               throws FdkException

  Description copied from interface: `RequestManager`
  Approves the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### denyRequestForUser

    public void denyRequestForUser(long requestId,
                                   NamedValue[] def,
                                   AttributeRequest[] attributes)
                            throws FdkException

  Description copied from interface: `RequestManager`
  Denies the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### cancelRequestForUser

    public void cancelRequestForUser(long requestId,
                                     NamedValue[] def,
                                     AttributeRequest[] attributes)
                              throws FdkException

  Description copied from interface: `RequestManager`
  Cancels the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### acknowledgeRequestForUser

    public void acknowledgeRequestForUser(long requestId,
                                          NamedValue[] def,
                                          AttributeRequest[] attributes)
                                   throws FdkException

  Description copied from interface: `RequestManager`
  Acknowledges the request for the given user.

  Note: This method is only available for REQUEST Items whose WORKFLOW has a WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_ORACLE; it does not work for custom WORKFLOW instances (WORKFLOW_TYPE attribute with value FdkConstants.WORKFLOW_TYPE_BPEL).

  Parameters:
    `requestId` - ID of the request
    `def` - attributes on the request
    `attributes` - requested attributes
  Throws:
    `FdkException` - if the operation fails

### createUserRequest

    public void createUserRequest(long[] targets,
                                  NamedValue[] workflowParams)
                           throws FdkException

  Description copied from interface: `RequestManager`
  Creates a UserRequest for each set of targets that are controlled by a specific UserRequestWorkflowConfiguration. UserRequests are used to execute custom workflows for the given targets.

  Parameters:
    `targets` - the targets of the UserRequest.
    `workflowParams` - parameters (name/value) to send to workflow
  Throws:
    `FdkException` - if the operation fails.

### isOperationRequestEnabled

    public boolean isOperationRequestEnabled(long id,
                                             java.lang.String ecmAction)
                                      throws FdkException

  Description copied from interface: `RequestManager`
  Returns whether the specified operation(ecm action) is workflow enabled i.e request based. See FdkConstants for operation constants. Example: isOperationRequestEnabled(domain, FdkConstants.ECM_ACTION_CREATEWORKSPACE)

  Parameters:
    `id` - The ID of the object.
    `ecmAction` - The ecm action's id.
  Throws:
    `FdkException` - if the operation fails.

### searchResponders

    public Item[] searchResponders(java.lang.String name,
                                   AttributeRequest[] attrs)
                            throws FdkException

  Description copied from interface: `RequestManager`
  Simple search for Users with given (exact)name. Supported wildcards: % -

  Parameters:
    `name` - The name to search for
    `attrs` - The requested attributes.
  Returns:
    Item[] Of DirectoryObjects
  Throws:
    `FdkException` - if the operation fails.

### isWebServiceCall

    protected final boolean isWebServiceCall()

  Returns `true` if the current call was made from a web services client. This check can be made by any subclasses in order to determine functionality and restrictions based on the originating call. This feature should be used lightly and only where really necessary as this is not an idea way of implementing business logic.

### referenceTypes

    public void referenceTypes(TypeReference ref)

  Dummy web service method to create a reference to data types used in the web services to insure that they are defined in the WSDL.

### login

    protected final NamedValue[] login(FdkCredential c,
                                       NamedValue[] options,
                                       AttributeRequest[] userAttributes)
                                throws FdkException

  Internal login method used by web services login managers.

  Throws:
    `FdkException`

### getConnectedSession

    protected final FdkSessionImpl getConnectedSession()
                                                throws FdkException

  Return the web service session. The return value is guaranteed to be non-null and to represent a connected session. If the client is not authenticated an FdkException is thrown.

  Throws:
    `FdkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD